Bug 200555 - Review Request: libsynaptics - Synaptics touchpad driver library
Review Request: libsynaptics - Synaptics touchpad driver library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT 200565
  Show dependency treegraph
 
Reported: 2006-07-28 12:58 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 12:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-07-28 12:58:33 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/libsynaptics.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/libsynaptics-0.14.6b-1.fc5.src.rpm
Description: 

A small C++ library usable by the synaptics driver.
The version numbering will follow any driver releases, the appended letter
marks releases due to bug fixing.


This is needed by ksynaptics
Comment 1 Rex Dieter 2006-07-28 14:21:05 EDT
Guess I need to review this one too... (:
Comment 2 Rex Dieter 2006-07-28 14:26:22 EDT
First, Version should not contain non-numerics, (see
http://www.fedoraproject.org/wiki/Packaging/NamingGuide)

You should use (something like):
Version: 0.14.6
Release: 1.b%{?dist}

The easiest way to deal with this is to use some macro, say %beta
%define beta b
Then use:
Release: 1.%{beta}


Because of the munging of Version, you'll need to modify other bits to be 
(again, something like):
Source0:        
http://qsynaptics.sourceforge.net/libsynaptics-%{version}%{?beta}.tar.bz2
...
%setup -q -n %{name}-%{version}%{?beta}
Comment 3 Rex Dieter 2006-07-28 14:48:26 EDT
upstream source checks:
6ea2b72829df76138a9a1f03faeda438  libsynaptics-0.14.6b.tar.bz2

This one is pretty simple and straightforward.  Make the recommended 
Version/Release modification, and I'll approve this.
Comment 4 Thorsten Leemhuis 2006-07-28 15:55:38 EDT
Just FYI (don't know if relevant to this package or ksynaptics): devel-PPC
currently is missing synaptics; see Bug 199864 for details
Comment 5 Orion Poplawski 2006-07-28 16:13:56 EDT
This is a post-release non-numeric version.  It will be followed by 0.14.6c or
0.14.7, so, according to the guidelines:

Post-release packages: Packages released after a "final" version. This usually
is due to a quick bugfix release, such as openssl-0.9.6b  or gkrellm-2.1.7a. In
this case, the non-numeric characters are permitted in the Version: field.

See http://qsynaptics.sourceforge.net/dl.html for historical version numbers.

Thanks for the heads up on PPC.  I'll do an ExcludeArch if needed.  If I can
avoid it I will, though we might end up with a package for ppc that just won't work.
Comment 6 Rex Dieter 2006-07-28 18:28:03 EDT
>Post-release packages: Packages released after a "final" version

Well, I'll be, didn't know about that exception, ya learn something new every day.

Looks good then, approved.
Comment 7 Orion Poplawski 2006-07-31 12:25:30 EDT
Imported, built on devel, and added to owners.list.

Note You need to log in before you can comment on or make changes to this bug.